Bug 602847 - (APSB10-14, CVE-2009-3793, CVE-2010-2160, CVE-2010-2161, CVE-2010-2162, CVE-2010-2163, CVE-2010-2164, CVE-2010-2165, CVE-2010-2166, CVE-2010-2167, CVE-2010-2169, CVE-2010-2170, CVE-2010-2171, CVE-2010-2173, CVE-2010-2174, CVE-2010-2175, CVE-2010-2176, CVE-2010-2177, CVE-2010-2178, CVE-2010-2179, CVE-2010-2180, CVE-2010-2181, CVE-2010-2182, CVE-2010-2183, CVE-2010-2184, CVE-2010-2185, CVE-2010-2186, CVE-2010-2187, CVE-2010-2188) flash-plugin: multiple security flaws (APSB10-14)
flash-plugin: multiple security flaws (APSB10-14)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
http://www.adobe.com/support/security...
impact=critical,source=adobe,reported...
: Security
Depends On: 602582 602641 602642
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-10 17:08 EDT by Jan Lieskovsky
Modified: 2010-07-08 12:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-08 12:20:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-06-10 17:08:09 EDT
Today, 2010-06-10, Adobe is planning to release an update
for Adobe Flash Player of version 10.0.45.2 (new version
is 10.1.53.64), to address multiple security issues allowing
code execution, whose description is detailed in the Adobe
Security Bulletin APSB10-14:

  [1] http://www.adobe.com/support/security/bulletins/apsb10-14.html

* This update resolves a memory corruption vulnerability that could lead
to code execution (CVE-2010-1297). Note: There are reports that this
issue is being actively exploited in the wild.

* This update resolves a memory exhaustion vulnerability that could lead
to code execution (CVE-2009-3793).

* This update resolves a memory corruption vulnerability that could lead
to code execution (CVE-2010-2160).

* This update resolves an indexing vulnerability that could lead to code 
execution (CVE-2010-2161).

* This update resolves a heap corruption vulnerability that could lead
to code execution (CVE-2010-2162).

* This update resolves multiple vulnerabilities that could lead to code 
execution (CVE-2010-2163).

* This update resolves a use after free vulnerability that could lead
to code execution (CVE-2010-2164).

* This update resolves a memory corruption vulnerability that could lead
to code execution (CVE-2010-2165).

* This update resolves a memory corruption vulnerability that could lead
to code execution (CVE-2010-2166).

* This update resolves multiple heap overflow vulnerabilities that could
lead to code execution (CVE-2010-2167).

* This update resolves a pointer memory corruption that could lead to
code execution (CVE-2010-2169).

* This update resolves an integer overflow vulnerability that could lead
to code execution (CVE-2010-2170).

* This update resolves a memory corruption vulnerability that could lead
to code execution (CVE-2010-2171).

* This update resolves a denial of service issue on some UNIX platforms
  (Flash Player 9 only) (CVE-2010-2172).

* This update resolves an invalid pointer vulnerability that could lead
to code execution (CVE-2010-2173).

* This update resolves an invalid pointer vulnerability that could lead
to code execution (CVE-2010-2174).

* This update resolves a memory corruption vulnerability that could lead
to code execution (CVE-2010-2175).

* This update resolves a memory corruption vulnerability that could lead
to code execution (CVE-2010-2176).

* This update resolves a memory corruption vulnerability that could lead
to code execution (CVE-2010-2177).

* This update resolves a memory corruption vulnerability that could lead
to code execution (CVE-2010-2178).

* This update resolves a memory corruption vulnerability that could lead
to code execution (CVE-2010-2180).

* This update resolves an integer overflow vulnerability that could lead
to code execution (CVE-2010-2181).

* This update resolves a memory corruption vulnerability that could lead
to code execution (CVE-2010-2182).

* This update resolves a integer overflow vulnerability that could lead
to code execution (CVE-2010-2183).

* This update resolves a memory corruption vulnerability that could lead
to code execution (CVE-2010-2184).

* This update resolves a buffer overflow vulnerability that could lead
to code execution (CVE-2010-2185).

Adobe Security Bulletin APSB10-14 also mentions one cross-site scripting
(XSS) flaw, which is also scheduled to be addressed within this update:

* This update resolves a URL parsing vulnerability that could lead
to cross-site scripting (Firefox and Chrome browsers only) (CVE-2010-2179).

Note: The CVSSv2 Base Score for this issue is:
      CVSSv2: 4.9/AV:N/AC:M/Au:S/C:P/I:P/A:N

i.e. lower than for the rest of above listed flaws, potentially leading
to arbitrary code execution. But this flaw was included in this Bugzilla
entry too, to list all issues, listed in [1].

And one denial of service issue:

* This update resolves a denial of service issue (CVE-2008-4546).

Red Hat is tracking this denial of service issue via dedicated Red Hat
Bugzilla entry, reachable at:
  [2] https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2008-4546
Comment 2 Jan Lieskovsky 2010-06-11 06:30:06 EDT
The CVE-2010-2189 flaw from the APSB10-14 list:

* This update resolves a memory corruption vulnerability that could lead
to code execution (CVE-2010-2189). Note: This issue occurs only on VMWare 
systems with VMWare Tools enabled.

does NOT affect the versions of flash-plugin package, as shipped
with Red Hat Enterprise Linux 3, 4, or 5.
Comment 4 errata-xmlrpc 2010-06-11 12:32:18 EDT
This issue has been addressed in following products:

  Extras for Red Hat Enterprise Linux 5

Via RHSA-2010:0464 https://rhn.redhat.com/errata/RHSA-2010-0464.html
Comment 5 errata-xmlrpc 2010-06-14 18:28:13 EDT
This issue has been addressed in following products:

  Extras for RHEL 3
  Extras for RHEL 4

Via RHSA-2010:0470 https://rhn.redhat.com/errata/RHSA-2010-0470.html

Note You need to log in before you can comment on or make changes to this bug.